%define anolis_release 3
Name:           perl-MIME-Base64
Version:        3.16
Release:        %{anolis_release}%{?dist}
Summary:        Encoding and decoding of Base64 and quoted-printable strings
# Base.xs:      (GPL+ or Artistic) and MIT (Bellcore's part)
# Other files:  GPL+ or Artistic
License:        (GPL+ or Artistic) and MIT
URL:            https://cpan.metacpan.org/authors
Source0:        %{url}/id/C/CA/CAPOEIRAB/MIME-Base64-%{version}.tar.gz

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Exporter)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)

# Optional tests:
# Perl::API not yet packaged and does not work since perl 5.8.8
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:      perl < 4:5.22.0-347

%description
This package contains a Base64 encoder/decoder and a quoted-printable
encoder/decoder. These encoding methods are specified in RFC 2045 - MIME
(Multipurpose Internet Mail Extensions).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n MIME-Base64-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/MIME*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.16-3
- rebuild with perl 5.36.0

* Fri Oct 14 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.16-2
- add doc package

* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 3.16-1
- Init for Anolis OS 23
